# tcpclientsink

## Example launch line (server):

     nc -l -p 3000

## Example launch line (client):

     gst-launch-1.0 fdsink fd=1 ! tcpclientsink port=3000

everything you type in the client is shown on the server (fd=1 means standard input which is the command line input file descriptor)

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──tcpclientsink

## Factory details

Authors: – Thomas Vander Stichele

Classification: – `Sink/Network`

Rank – none

Plugin – tcp

Package – GStreamer Base Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Properties

### host

    “host” gchararray

The host/IP to send the packets to

Flags : Read / Write

Default value : localhost

### port

    “port” gint

The port to send the packets to

Flags : Read / Write

Default value : 4953

The results of the search are